Bug 106287 - can't use 800x600x16 resolution using redhat-config-xfree86 (fixed)
can't use 800x600x16 resolution using redhat-config-xfree86 (fixed)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-04 18:20 EDT by Need Real Name
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-08 07:08:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-10-04 18:20:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When running the Xfree86 Configurator in RHL 9 (Running on OptiPlex GX270, P4
2.26 gHZ, 512MB DDR SDRAM, Intel 865 Chipset with Intel Extreme 2 Graphics), I
would like resolution of 800x600 with Thousands of colors. After getting the
message to log out and login again, I do that, and my colors are fine, but the
resolution has somehow changed to 640x480. I can only use 800x600 with 256
colors. Is there a way to fix this, or must I wait until the next RHL comes out?

Version-Release number of selected component (if applicable):
redhat-config-xfree86-0.7.3-2

How reproducible:
Always

Steps to Reproduce:
1. Run /usr/bin/redhat-config-xfree86
2. Change resolution to 800x600, and color depth to thousands of colors.
3. Close, then logout
    

Actual Results:  The resolution was 640x480 instead of 800x600, but colors were
fine.

Expected Results:  800x600 resolution with thousands of colors.

Additional info:

I haven't seen any other bugs like this.
Comment 1 Brent Fox 2003-10-07 14:40:55 EDT
I see the same behavior on a Dell with the Intel 865 graphics chipset.  It looks
like the XFree86 drivers are not working at anything above 640x480.  Changing
component to XFree86.
Comment 2 Need Real Name 2003-10-07 19:50:19 EDT
I have fixed this issue. When booting, enter BIOS, just tinker with your video
memory settings (I put it on 32 MB, but you can use 800x600x16 resolution even
with 8 MB). Thanks to everyone who replied to this bug!
Comment 3 Mike A. Harris 2003-10-08 07:08:55 EDT
Indeed, this is not an XFree86 driver bug.  You must configure your video
memory amount using the BIOS CMOS tool.  Some machines, in particular many
Dell laptops and motherboards do not allow one to change this setting.  Users
with such hardware will encounter problems.

In the past, Intel released the information to developers in order to work
around this broken BIOS limitation and allow XFree86 to reprogram the registers
which select the amount of stolen system RAM for Intel i830 hardware.  Users
who are experiencing problems with video memory amount on other Intel hardware
should contact the manufacturer of their laptop or motherboard, as well as
Intel, so that they are aware of the issue and can either provide workarounds
to XFree86 for future releases, or they can provide the technical specifications
to developers to create workarounds like was done for i830.

In any case, these type of problems are either misconfigurations - as this one
has shown to be, or they are hardware/firmware bugs/flaws, which require
support from the manufacturer.

Problem resolved via proper configuration of BIOS as indicated above, closing
as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.